[tools]
cmake = "latest"
#dotnet = "latest"
#python = "latest"

[tasks.setup-linux-arch]
run = "set -x; echo paru -S mono git vim-youcompleteme-git mono-msbuild omnisharp-vim-git dotnet-runtime dotnet-sdk dotnet-host msbuild msbuild-sdkresolver libuv; if ! which pip3; then wget https://bootstrap.pypa.io/get-pip.py -O /tmp/get-pip.py; python3 /tmp/get-pip.py --break-system-packages; fi; python3 -m pip install watchdog --break-system-packages; touch \"${MISE_PROJECT_ROOT}\"/.sln; py3=\"$(which python3)\"; grep -qs \"$py3\" \"$HOME/.vimrc\" || printf \"\\nlet g:ycm_server_python_interpreter = '$py3'\\nlet g:ycm_python_binary_path = '$py3'\\n\" >> \"$HOME/.vimrc\"; omnisharp=\"$(which omnisharp)\"; grep -qs \"$omnisharp\" \"$HOME/.vimrc\" || printf \"\\nlet g:OmniSharp_server_path = '$omnisharp'\\nfiletype plugin indent on\\n\" >> \"$HOME/.vimrc\";"

[tasks.test-run-csharp]
run = '(test -d ./dotnet-test || dotnet new console -n dotnet-test) && dotnet run --project=./dotnet-test && ls dotnet-test/*.cs'

[tasks.default]
run = 'mise run test-run-csharp'

[env]
_.source = { path = "./.mise-env.sh", tools = true }
DOTNET_CLI_TELEMETRY_OPTOUT = "1"
